Arbor 3: FSM & BT Graph Editor 3.6.4

Public Member Functions | Protected Attributes | Properties | List of all members
FlexibleSceneObjectBase Class Referenceabstract

参照方法が複数ある柔軟なシーンオブジェクト(GameObject, Component)型を扱うクラス。継承して使用する。 More...

Inheritance diagram for FlexibleSceneObjectBase:

## Public Member Functions
abstract object | GetValueObject ()
| 値をobjectで返す。 More...
abstract Object | GetConstantObject ()
| FlexibleSceneObjectType.ConstantのObjectを返す。 More...
bool | SetHierarchyIfConstantNull (FlexibleHierarchyType hierarchyType=FlexibleHierarchyType.Self)
| FlexibleSceneObjectType.Constantであり参照しているオブジェクトがnullの場合に、FlexibleSceneObjectType.Hierarchyへ変更する。 More...

## Protected Attributes
FlexibleSceneObjectType | _Type = FlexibleSceneObjectType.Constant
| 値の指定タイプ More...
FlexibleHierarchyType | _HierarchyType = FlexibleHierarchyType.Self
| TypeがFlexibleSceneObjectType.Hierarchyである時に指定するHierarchyの参照タイプ。 More...

## Properties
Object | ownerObject`[get, set]`
| このインスタンスを所有しているオブジェクトを返す More...
System.Reflection.FieldInfo | fieldInfo`[get, set]`
| このインスタンスを所有しているFieldInfoを返す More...
GameObject | targetGameObject`[get]`
| FlexibleSceneObjectType.Hierarchyの場合に参照する対象のGameObjectを返す。 More...
FlexibleSceneObjectType | type`[get, set]`
| Typeを返す More...
FlexibleHierarchyType | hierarchyType`[get, set]`
| FlexibleSceneObjectType.Hierarchyの場合、どのオブジェクトを参照するかを表すFlexibleHierarchyTypeを返す More...

## Detailed Description

参照方法が複数ある柔軟なシーンオブジェクト(GameObject, Component)型を扱うクラス。継承して使用する。

## Member Function Documentation

## ◆ GetConstantObject()

abstract Object GetConstantObject | ( |  | ) |
| pure virtual

FlexibleSceneObjectType.ConstantのObjectを返す。

Returns
  Constantの時のObject値

Implemented in FlexibleComponent< T >, FlexibleComponent< T >, and FlexibleGameObject.

## ◆ GetValueObject()

abstract object GetValueObject | ( |  | ) |
| pure virtual

値をobjectで返す。

Returns
  値のobject

Implements IFlexibleField.

Implemented in FlexibleComponent< T >, FlexibleComponent< T >, and FlexibleGameObject.

## ◆ SetHierarchyIfConstantNull()

bool SetHierarchyIfConstantNull | ( | FlexibleHierarchyType | hierarchyType = `FlexibleHierarchyType.Self` | ) |

FlexibleSceneObjectType.Constantであり参照しているオブジェクトがnullの場合に、FlexibleSceneObjectType.Hierarchyへ変更する。

Parameters

  hierarchyType | 設定するFlexibleHierarchyType

Returns
  変更した場合にtrueを返す。

## Member Data Documentation

## ◆ _HierarchyType

FlexibleHierarchyType _HierarchyType = FlexibleHierarchyType.Self
| protected

TypeがFlexibleSceneObjectType.Hierarchyである時に指定するHierarchyの参照タイプ。

## ◆ _Type

FlexibleSceneObjectType _Type = FlexibleSceneObjectType.Constant
| protected

値の指定タイプ

## Property Documentation

## ◆ fieldInfo

System.Reflection.FieldInfo fieldInfo
| get set

このインスタンスを所有しているFieldInfoを返す

## ◆ hierarchyType

FlexibleHierarchyType hierarchyType
| get set

FlexibleSceneObjectType.Hierarchyの場合、どのオブジェクトを参照するかを表すFlexibleHierarchyTypeを返す

## ◆ ownerObject

Object ownerObject
| get set

このインスタンスを所有しているオブジェクトを返す

## ◆ targetGameObject

GameObject targetGameObject
| get

FlexibleSceneObjectType.Hierarchyの場合に参照する対象のGameObjectを返す。

## ◆ type

FlexibleSceneObjectType type
| get set

Typeを返す